# csl_mpu.h File Reference

This is the header file for the MPU CSL Functional Layer. More...

`#include <ti/csl/soc.h>`
`#include <ti/csl/csl.h>`
`#include <ti/csl/cslr_mpu.h>`

## Typedefs
typedef volatile CSL_MpuRegs * | CSL_MpuHandle
| This is the handle to the MPU Register.
## Functions
CSL_MpuHandle | CSL_MPU_Open (Int32 instNum)

## Detailed Description

This is the header file for the MPU CSL Functional Layer.

  ============================================================================
  (C) Copyright 2011 Texas Instruments, Inc.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

## Function Documentation

CSL_MpuHandle CSL_MPU_Open | ( | Int32 | instNum | ) |

============================================================================
CSL_MPU_Open

Description
This API opens the MPU instance. This should always be the first call to the CSL MPU Functional layer. The handle which is returned from this call should be passed in all subsequent CSL API's.

Return Value
CSL_MpuHandle - Handle to the MPU Module
0 - Error.

Pre Condition
None

Post Condition
None

Affects
None.

Example

            CSL_MpuHandle   hMpu;
            ...
            hMpu = CSL_MPU_Open (0);    // Opens MPU Instance 0
            ...

===========================================================================

Copyright 2012, Texas Instruments Incorporated